ForceFields::MMFF::TorsionAngleContrib Class Reference

the torsion term for MMFF More...

`#include <TorsionAngle.h>`

Inheritance diagram for ForceFields::MMFF::TorsionAngleContrib:

## Public Member Functions

| TorsionAngleContrib ()
| TorsionAngleContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, const MMFFTor *mmffTorParams)
| Constructor. More...
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position More...
TorsionAngleContrib * | copy () const override
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField More...

## Detailed Description

the torsion term for MMFF

Definition at line 28 of file MMFF/TorsionAngle.h.

## Constructor & Destructor Documentation

## TorsionAngleContrib() [1/2]

ForceFields::MMFF::TorsionAngleContrib::TorsionAngleContrib | ( |  | ) |

inline

Definition at line 30 of file MMFF/TorsionAngle.h.

## TorsionAngleContrib() [2/2]

ForceFields::MMFF::TorsionAngleContrib::TorsionAngleContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | const MMFFTor * | mmffTorParams
| ) |  |

Constructor.

The torsion is between atom1 - atom2 - atom3 - atom4 (i.e the angle between bond atom1-atom2 and bond atom3-atom4 while looking down bond atom2-atom3)

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  idx4 | index of atom4 in the ForceField's positions
  torsionType | MMFF type of the torsional bond between atoms 2 and 3

## Member Function Documentation

## copy()

TorsionAngleContrib* ForceFields::MMFF::TorsionAngleContrib::copy | ( |  | ) | const

inline override virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 49 of file MMFF/TorsionAngle.h.

## getEnergy()

double ForceFields::MMFF::TorsionAngleContrib::getEnergy | ( | double * | pos | ) | const

override virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## getGrad()

void ForceFields::MMFF::TorsionAngleContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

override virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- MMFF/TorsionAngle.h